View Issue Details

IDProjectCategoryView StatusLast Update
0000294FreeCADFeaturepublic2011-08-27 18:31
Reporterpperisin Assigned Toyorik  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.11 
Target VersionFixed in Version0.12 
Summary0000294: Make offset work on open polylines
DescriptionHi,

I have suggestion for expanding offset function. How about make it work on polylines, but in two ways:
1 - make another line that is bit away from original one. it can be above or below original one.
2 - make closed object that circles already placed line, and is away from it for offset value. It should have circles (180°) where first and last point of polyline is, and circle radius is also offset value.

I hope you understand what I ment

Regards
Petar Perisin
TagsNo tags attached.
FreeCAD Information

Activities

2011-02-28 23:50

 

fc-occ-offset.jpg (Attachment missing)

yorik

2011-02-28 23:53

administrator   ~0000668

I suppose you mean something like in the attached screenshot?
That's actually very easy, OCC itself does it. I just never needed such an offset myself, so never implemented it, but it could be done without much trouble.
Maybe using ALT during offset to switch between modes...

pperisin

2011-03-01 10:40

reporter   ~0000670

Yes, that is it. And also regular offset, that would make only upper or only lower part of the offset from the picture. They all can be in one toolbar icon, and can be controled with checkboxes from Draft bar

pperisin

2011-03-02 09:53

reporter   ~0000673

Hi,

Another suggestion for offset - make it without circles, like on the picture

Regards,
Petar Perisin

2011-03-02 09:53

 

offset2.jpg (Attachment missing)

yorik

2011-08-27 18:31

administrator   ~0001013

done in r4820

Issue History

Date Modified Username Field Change
2011-02-28 18:47 pperisin New Issue
2011-02-28 23:50 yorik File Added: fc-occ-offset.jpg
2011-02-28 23:53 yorik Note Added: 0000668
2011-02-28 23:53 yorik Status new => assigned
2011-02-28 23:53 yorik Assigned To => yorik
2011-03-01 10:40 pperisin Note Added: 0000670
2011-03-02 09:53 pperisin Note Added: 0000673
2011-03-02 09:53 pperisin File Added: offset2.jpg
2011-08-27 18:31 yorik Note Added: 0001013
2011-08-27 18:31 yorik Status assigned => closed
2011-08-27 18:31 yorik Resolution open => fixed
2011-08-27 18:31 yorik Fixed in Version => 0.12